package com.lnb.multidatasourcedemo.constant;


import org.apache.commons.lang3.StringUtils;

/**
 * 常量配置
 * created by liaoningbo on 2021/11/24
 */
public class Constant {

    /*path分隔符*/
    public static final String PATH_SPLIT = "/";
    public static final String DBCONFIG_ROOT = "/dynamicDataSource/dbconfig";

    public static final String READ = "slave";
    public static final String WARITE = "master";

    public static final String DRIVER_CLASS_NAME = "com.mysql.cj.jdbc.Driver";

    public static String getAppDB(String appName) {
        if (StringUtils.isEmpty(appName))
            return DBCONFIG_ROOT;
        return DBCONFIG_ROOT + PATH_SPLIT + appName;
    }
}
